%define	name	ario
%define	version	1.2.2
%define	release	%mkrel	4

%define __libtoolize    /bin/true

Summary:	Ario is a GTK2 client for MPD (Music player daemon)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        GPL
Group:		Sound
Source:	    	%{name}-%{version}.tar.xz
URL:	  	http://ario-player.sourceforge.net/
BuildRoot:  	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libavahi-client-devel
BuildRequires:	curl-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk2-devel >= 2.12
BuildRequires:	intltool
BuildRequires:	libavahi-glib-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libsoup-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	ImageMagick
BuildRequires:	libgcrypt-devel
BuildRequires:	libnotify-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-gobject-devel
Requires:	gtk+2.0
Requires:	pygtk2.0
Requires:	python-gobject


%description
Ario is a GTK2 client for MPD (Music player daemon).

The interface used to browse the library is inspired by Rhythmbox
but Ario aims to be much lighter and faster.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --enable-python
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# desktop thingie
desktop-file-install 	--vendor="" \
			--add-category="X-MandrivaLinux-Multimedia-Sound" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
				$RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 data/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 data/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/*/*/apps/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.glade
%{_libdir}/%{name}/plugins/*.ario-plugin
%{_libdir}/%{name}/plugins/*.xml
%{_libdir}/%{name}/plugins/radios.xml.default
%{_libdir}/%{name}/plugins/*.la
%{_libdir}/%{name}/plugins/*.so
%{_libdir}/%{name}/plugins/*.so.*
%{_libdir}/%{name}/plugins/*.a
%dir %{_libdir}/%{name}/plugins/icons
%{_libdir}/%{name}/plugins/icons/*.png
%{_datadir}/applications/*.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png


%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 1.2.2-4pclos2010
- rebuild ldap

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 1.2.2-3pclos2010
- rebuild

* Wed May 20 2009 Texstar <texstar@gmail.com> 1.2.2-2pclos2009
- fix synaptic group

* Tue May 19 2009 don_crissti <don_crissti@gmx.com> 1.2.2-1pclos2007
- new version

* Wed Dec 31 2008 don_crissti <don_crissti@gmx.com> 1.2-1pclos2007
- new version
+ enabled python plugins
+ updated BRs accordingly

* Thu Aug 07 2008 don_crissti <don_crissti@gmx.com> 1.1-1pclos2007
- initial build for PCLinuxOS

